Security Lab

Переполнение буфера в VicFTPS

Дата публикации:19.02.2007
Всего просмотров:4735
Опасность:
Высокая
Наличие исправления: Нет
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: VicFTPS 3.x
Уязвимые версии: VicFTPS 3.9, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных при обработке информации, передаваемой серверу. Удаленный пользователь может послать серверу слишком длинную строку (более 320 байт), вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: vicftps.50webs.com

Решение: Установите последнюю версию (5.0) с сайта производителя.